#
# spec file for package cgdcbxd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           cgdcbxd
Version:        1.0.2_8e157dff
Release:        0.9.5
Summary:        DCB network priority management daemon
Group:          System/Base
License:        GPL-2.0
Url:            https://github.com/jrfastab/cgdcbxd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Source0:        %{name}-%{version}.tar.bz2
Source1:        cgdcbxd.service
Patch1:         cgdcbxd-use-pkgconfig-for-libmnl
Patch2:         cgdcbxd-add-headers
Patch3:         cgdcbxd-fix-initscript
BuildRequires:  autoconf automake libcgroup-devel libtool
BuildRequires:  pkgconfig >= 0.21
%if 0%{?suse_version} >= 1140
BuildRequires:  pkgconfig(libmnl) >= 1
%else
BuildRequires:  libmnl-devel >= 1
%endif

%description
This is a daemon to manage the priority of network traffic in dcb
enabled environments.  By using the information exchanged over the dcbx
protocol on a LAN, this package will enforce network priority on
running applications on your host using the net_prio cgroup.



Authors:
--------
    John Fastabend <john.r.fastabend@lintel.com>

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
sh bootstrap.sh
%configure
make

%install
make DESTDIR=%buildroot install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
rm -f %buildroot/etc/init.d/cgdcbxd
mkdir -p %buildroot/usr/sbin
ln -sf /usr/sbin/service %{buildroot}/usr/sbin/rc%{name}


%files
%defattr(-,root,root)
%doc COPYING
%{_mandir}/man8/*
%{_sbindir}/*
%{_unitdir}/%{name}.service
/usr/sbin/rc%{name}

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%changelog
* Thu Sep 25 2014 ro@suse.de
- update to 1.0.2_8e157dff (git pull of 1.0.2 release)
  - report error if cggdcbxd is started before netprio_cgroup
  - set priority value to default priority when APP value is removed
  - assign default priority correctly in cgroups
  - fail init when net_prio is not mounted
  - do cgroup reclassify after cgroup creation
- add more details to systemd unit file
* Wed Sep 24 2014 ro@suse.de
- replace init script by systemd unit file and add proper
  pre/post files for systemd units (bnc#896787)
* Wed Sep 24 2014 ro@suse.de
- change license entry to SPDX
* Fri Jan 25 2013 jeffm@suse.com
- Initial packaging (FATE#313780).
